---
id: "SimpleCalendar.FirstNewMoonDate"
title: "Interface: FirstNewMoonDate"
sidebar_label: "FirstNewMoonDate"
custom_edit_url: null
pagination_next: null
pagination_prev: null
---

[SimpleCalendar](../namespaces/SimpleCalendar.md).FirstNewMoonDate

Interface for a moons first new moon date

## Properties

### day

• **day**: `number`

The day of the first new moon.

___

### month

• **month**: `number`

The month of the first new moon.

___

### year

• **year**: `number`

The year of the first new moon.

___

### yearReset

• **yearReset**: [`MoonYearResetOptions`](../enums/SimpleCalendar.api.MoonYearResetOptions.md)

If and when the year of the new moon should be reset. [List of options](../enums/SimpleCalendar.api.MoonYearResetOptions.md)

___

### yearX

• **yearX**: `number`

Reset the new moon year every X years.
